이미지
Authorizations
x-api-keystringRequired
Path parameters
idstringRequired
이미지 ID
Responses
200
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
application/json
resultstring · enumRequiredPossible values:
응답 결과 타입
get/api/v1/images/{id}
GET /api/v1/images/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"id": "text",
"userId": "text",
"name": "text",
"type": "RENDER",
"imageUrl": "text",
"floorplanId": "text",
"resolution": {
"x": 1,
"y": 1
},
"items": [
{
"productId": "text",
"position": {
"x": 1,
"y": 1,
"z": 1
}
}
],
"roomCode": 1,
"panoramaImageIds": [
"text"
],
"status": "CREATING",
"estimatedEndTime": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}마지막 업데이트
도움이 되었나요?

